#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System;
using System.Linq;
using System.Windows.Forms;
using HeuristicLab.MainForm;
using HeuristicLab.MainForm.WindowsForms;

namespace HeuristicLab.Clients.OKB {
  [View("OKB Administrator")]
  [Content(typeof(OKBClient), false)]
  public sealed partial class QueryView : HeuristicLab.MainForm.WindowsForms.View {
    public QueryView() {
      InitializeComponent();
    }

    protected override void OnInitialized(EventArgs e) {
      base.OnInitialized(e);
      AndFilter filter = OKBClient.Instance.GetFilters().OfType<AndFilter>().FirstOrDefault();
      if (filter != null) andFilterView.Content = filter.Clone() as AndFilter;
      runCollectionView.Content = null;
    }

    private void refreshButton_Click(object sender, EventArgs e) {
      runCollectionView.Content = OKBClient.Instance.QueryRuns(andFilterView.Content);
    }

    private void showRunsButton_Click(object sender, EventArgs e) {
      MainFormManager.MainForm.ShowContent(OKBClient.Instance.ConvertOKBRunsToOptimizationRuns(runCollectionView.Content));
    }
  }
}
